diff --git a/ldap/servers/slapd/back-ldbm/dblayer.c b/ldap/servers/slapd/back-ldbm/dblayer.c
index 33287d4..dafd093 100644
--- a/ldap/servers/slapd/back-ldbm/dblayer.c
+++ b/ldap/servers/slapd/back-ldbm/dblayer.c
@@ -5808,7 +5808,7 @@ dblayer_copy_directory(struct ldbminfo *li,
                                               inst_dir, MAXPATHLEN);
         if (!inst_dirp || !*inst_dirp)
         {
-            LDAPDebug(LDAP_DEBUG_ANY, "Instance dir is NULL.\n", 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Instance dir is NULL.\n", 0, 0, 0);
             return return_value;
         }
         len = strlen(inst_dirp);
@@ -5881,7 +5881,7 @@ dblayer_copy_directory(struct ldbminfo *li,
                 }
                 if (mkdir_p(new_dest_dir, 0700) != PR_SUCCESS)
                 {
-                    LDAPDebug(LDAP_DEBUG_ANY, "Can't create new directory %s, "
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Can't create new directory %s, "
                         SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                         new_dest_dir, PR_GetError(),
                         slapd_pr_strerror(PR_GetError()));
@@ -5893,7 +5893,7 @@ dblayer_copy_directory(struct ldbminfo *li,
             filename2 = slapi_ch_smprintf("%s/%s", new_dest_dir, direntry->name);
 
             if (restore) {
-                LDAPDebug(LDAP_DEBUG_ANY, "Restoring file %d (%s)\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Restoring file %d (%s)\n",
                           *cnt, filename2, 0);
                 if (task) {
                     slapi_task_log_notice(task,
@@ -5902,7 +5902,7 @@ dblayer_copy_directory(struct ldbminfo *li,
                         "Restoring file %d (%s)", *cnt, filename2);
                 }
             } else {
-                LDAPDebug(LDAP_DEBUG_ANY, "Backing up file %d (%s)\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Backing up file %d (%s)\n",
                           *cnt, filename2, 0);
                 if (task) {
                     slapi_task_log_notice(task,
@@ -6139,7 +6139,7 @@ dblayer_backup(struct ldbminfo *li, char *dest_dir, Slapi_Task *task)
                                                   dest_dir, 0 /* backup */,
                                                   &cnt, 0, 0, 0);
             if (return_value) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "Backup: error in copying directory "
                           "(%s -> %s): err=%d\n",
                           inst_dirp, dest_dir, return_value);
@@ -6167,7 +6167,7 @@ dblayer_backup(struct ldbminfo *li, char *dest_dir, Slapi_Task *task)
                                                   0 /* backup */,
                                                   &cnt, 0, 0, 1);
             if (return_value) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "Backup: error in copying directory "
                           "(%s -> %s): err=%d\n",
                           changelogdir, changelog_destdir, return_value);
@@ -6305,7 +6305,7 @@ dblayer_backup(struct ldbminfo *li, char *dest_dir, Slapi_Task *task)
     }
     return_value = dblayer_copyfile(pathname1, pathname2, 0, priv->dblayer_file_mode);
     if (0 > return_value) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "Backup: error in copying version file "
                   "(%s -> %s): err=%d\n",
                   pathname1, pathname2, return_value);
@@ -6385,7 +6385,7 @@ int dblayer_delete_transaction_logs(const char * log_dir)
         {
             if (NULL == direntry->name) {
                 /* NSPR doesn't behave like the docs say it should */
-                LDAPDebug(LDAP_DEBUG_ANY, "PR_ReadDir failed (%d): %s\n", 
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "PR_ReadDir failed (%d): %s\n", 
                 PR_GetError(),slapd_pr_strerror(PR_GetError()), 0);
                 break;
             }
@@ -6397,7 +6397,7 @@ int dblayer_delete_transaction_logs(const char * log_dir)
             is_a_logfile = dblayer_is_logfilename(direntry->name);
             if (is_a_logfile && (NULL != log_dir) && (0 != strlen(log_dir)) )
             {
-                LDAPDebug(LDAP_DEBUG_ANY, "Deleting log file: (%s)\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Deleting log file: (%s)\n",
                           filename1, 0, 0);
                 unlink(filename1);
             }
@@ -6406,7 +6406,7 @@ int dblayer_delete_transaction_logs(const char * log_dir)
     }
     else if (PR_FILE_NOT_FOUND_ERROR != PR_GetError())
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "dblayer_delete_transaction_logs: PR_OpenDir(%s) failed (%d): %s\n",
              log_dir, PR_GetError(),slapd_pr_strerror(PR_GetError()));
         rc=1;
@@ -6458,7 +6458,7 @@ static int dblayer_copy_dirand_contents(char* src_dir, char* dst_dir, int mode,
 
        PR_snprintf(filename1, MAXPATHLEN, "%s/%s", src_dir, direntry->name);
        PR_snprintf(filename2, MAXPATHLEN, "%s/%s", dst_dir, direntry->name);
-       LDAPDebug(LDAP_DEBUG_ANY, "Moving file %s\n",
+       LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Moving file %s\n",
                           filename2, 0, 0);
       /* Is this entry a directory? */
       tmp_rval = PR_GetFileInfo64(filename1, &info);
@@ -6524,7 +6524,7 @@ static int dblayer_fri_trim(char *fri_dir_path, char* bename)
 			{
 				if(strcasecmp(direntry->name,bename)!=0)
 				{
-					LDAPDebug(LDAP_DEBUG_ANY, "Removing file %s from staging area\n",
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Removing file %s from staging area\n",
                          filename, 0, 0);
 					ldbm_delete_dirs(filename);
 				}
@@ -6534,7 +6534,7 @@ static int dblayer_fri_trim(char *fri_dir_path, char* bename)
 			if ((strcmp(direntry->name,"DBVERSION") == 0)||
 				    (strncmp(direntry->name,"__",2) == 0)||
 					(strncmp(direntry->name,"log",3) == 0)){
-				LDAPDebug(LDAP_DEBUG_ANY, "Removing file %s from staging area\n",
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Removing file %s from staging area\n",
                          filename, 0, 0);
 				PR_Delete(filename);
 			}
@@ -6579,18 +6579,18 @@ static int dblayer_fri_restore(char *home_dir, char *src_dir, dblayer_private *p
 		fribak_dir_path = slapi_ch_smprintf("%s/../%s",home_dir,fribak_dir_name);
 		if((-1 == PR_MkDir(fribak_dir_path,NEWDIR_MODE)))
 		{
-		  LDAPDebug(LDAP_DEBUG_ANY, "dblayer_fri_restore: %s exists\n",fribak_dir_path, 0, 0);
-		  LDAPDebug(LDAP_DEBUG_ANY, "dblayer_fri_restore: Removing %s.\n",fribak_dir_path, 0, 0);
+		  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dblayer_fri_restore: %s exists\n",fribak_dir_path, 0, 0);
+		  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dblayer_fri_restore: Removing %s.\n",fribak_dir_path, 0, 0);
 		  retval = ldbm_delete_dirs(fribak_dir_path);
 		  if (retval)
 		  {
-			LDAPDebug(LDAP_DEBUG_ANY, "dblayer_fri_restore: Removal of %s failed!\n", fribak_dir_path, 0, 0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dblayer_fri_restore: Removal of %s failed!\n", fribak_dir_path, 0, 0);
 			goto error;
 		  }
 		  PR_MkDir(fribak_dir_path,NEWDIR_MODE);
 		  if (retval != PR_SUCCESS)
 		  {
-			LDAPDebug(LDAP_DEBUG_ANY, "dblayer_fri_restore: Creation of %s failed!\n", fribak_dir_path, 0, 0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dblayer_fri_restore: Creation of %s failed!\n", fribak_dir_path, 0, 0);
 			goto error;
 		  }
 		}
@@ -6599,21 +6599,21 @@ static int dblayer_fri_restore(char *home_dir, char *src_dir, dblayer_private *p
 		retval = dblayer_copy_dirand_contents(src_dir, fribak_dir_path, mode, task);
 		if (retval) 
 		{
-			LDAPDebug(LDAP_DEBUG_ANY, "dblayer_fri_restore: Copy contents to %s failed!\n", fribak_dir_path, 0, 0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dblayer_fri_restore: Copy contents to %s failed!\n", fribak_dir_path, 0, 0);
 			goto error;
 		}
 		/* Next, run recovery on the files */
 		retval = dblayer_recover_environment_path(fribak_dir_path, priv);
 		if (retval) 
 		{
-			LDAPDebug(LDAP_DEBUG_ANY, "dblayer_fri_restore: Recovery failed!\n", 0, 0, 0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dblayer_fri_restore: Recovery failed!\n", 0, 0, 0);
 			goto error;
 		}
 		/* Files nicely recovered, next we stip out what we don't need from the backup set */
 		retval = dblayer_fri_trim(fribak_dir_path,bename);
 		if (retval) 
 		{
-			LDAPDebug(LDAP_DEBUG_ANY, "dblayer_fri_restore: Trim failed!\n", 0, 0, 0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dblayer_fri_restore: Trim failed!\n", 0, 0, 0);
 			goto error;
 		}
 		*new_src_dir = fribak_dir_path;
@@ -7084,7 +7084,7 @@ dblayer_file_open(char *fname, int flags, int mode, PRFileDesc **prfd)
 
     if (NULL == *prfd) rc = PR_GetError();
     if (rc && rc != PR_FILE_NOT_FOUND_ERROR ) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                        "Failed to open file: %s, error: (%d) %s\n",
                        fname, rc, slapd_pr_strerror(rc));
     }
@@ -7323,7 +7323,7 @@ int dblayer_update_db_ext(ldbm_instance *inst, char *oldext, char *newext)
 
     if (NULL == inst)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "update_db_ext: Null instance is passed\n", 0, 0, 0);
         return -1;    /* non zero */
     }
@@ -7331,7 +7331,7 @@ int dblayer_update_db_ext(ldbm_instance *inst, char *oldext, char *newext)
     priv = (dblayer_private*)li->li_dblayer_private;
     inst_dirp = dblayer_get_full_inst_dir(li, inst, inst_dir, MAXPATHLEN);
     if (NULL == inst_dirp || '\0' == *inst_dirp) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "update_db_ext: instance dir is NULL\n", 0, 0, 0);
         return -1;    /* non zero */
     }
@@ -7352,21 +7352,21 @@ int dblayer_update_db_ext(ldbm_instance *inst, char *oldext, char *newext)
         rval = db_create(&thisdb, priv->dblayer_env->dblayer_DB_ENV, 0);
         if (0 != rval)
         {
-            LDAPDebug(LDAP_DEBUG_ANY, "db_create returned %d (%s)\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "db_create returned %d (%s)\n",
                     rval, dblayer_strerror(rval), 0);
             goto done;
         }
         nfile = slapi_ch_smprintf("%s/%s%s", inst_dirp, a->ai_type, newext);
-        LDAPDebug(LDAP_DEBUG_TRACE, "update_db_ext: rename %s -> %s\n",
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "update_db_ext: rename %s -> %s\n",
             ofile, nfile, 0);
 
         rval = thisdb->rename(thisdb, (const char *)ofile, NULL /* subdb */,
                                   (const char *)nfile, 0);
         if (0 != rval)
         {
-            LDAPDebug(LDAP_DEBUG_ANY, "rename returned %d (%s)\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "rename returned %d (%s)\n",
                 rval, dblayer_strerror(rval), 0);
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "update_db_ext: index (%s) Failed to update index %s -> %s\n",
                 inst->inst_name, ofile, nfile);
             goto done;
@@ -7378,21 +7378,21 @@ int dblayer_update_db_ext(ldbm_instance *inst, char *oldext, char *newext)
     rval = db_create(&thisdb, priv->dblayer_env->dblayer_DB_ENV, 0);
     if (0 != rval)
     {
-        LDAPDebug(LDAP_DEBUG_ANY, "db_create returned %d (%s)\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "db_create returned %d (%s)\n",
                     rval, dblayer_strerror(rval), 0);
         goto done;
     }
     ofile = slapi_ch_smprintf("%s/%s%s", inst_dirp, ID2ENTRY, oldext);
     nfile = slapi_ch_smprintf("%s/%s%s", inst_dirp, ID2ENTRY, newext);
-    LDAPDebug(LDAP_DEBUG_TRACE, "update_db_ext: rename %s -> %s\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "update_db_ext: rename %s -> %s\n",
             ofile, nfile, 0);
     rval = thisdb->rename(thisdb, (const char *)ofile, NULL /* subdb */,
                                   (const char *)nfile, 0);
     if (0 != rval)
     {
-        LDAPDebug(LDAP_DEBUG_ANY, "rename returned %d (%s)\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "rename returned %d (%s)\n",
                 rval, dblayer_strerror(rval), 0);
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "update_db_ext: index (%s) Failed to update index %s -> %s\n",
                 inst->inst_name, ofile, nfile);
     }
@@ -7416,7 +7416,7 @@ int dblayer_delete_indices(ldbm_instance *inst)
 
     if (NULL == inst)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "update_index_ext: Null instance is passed\n", 0, 0, 0);
         return rval;
     }
@@ -7434,7 +7434,7 @@ void dblayer_set_recovery_required(struct ldbminfo *li)
 {
     if (NULL == li || NULL == li->li_dblayer_private)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,"set_recovery_required: no dblayer info\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"set_recovery_required: no dblayer info\n",
                   0, 0, 0);
         return;
     }
diff --git a/ldap/servers/slapd/back-ldbm/dbversion.c b/ldap/servers/slapd/back-ldbm/dbversion.c
index 4d28cd6..e8d9e79 100644
--- a/ldap/servers/slapd/back-ldbm/dbversion.c
+++ b/ldap/servers/slapd/back-ldbm/dbversion.c
@@ -62,7 +62,7 @@ dbversion_write(struct ldbminfo *li, const char *directory,
     if (( prfd = PR_Open( filename, PR_RDWR | PR_CREATE_FILE | PR_TRUNCATE,
                           SLAPD_DEFAULT_FILE_MODE  )) == NULL )
     {
-        LDAPDebug( LDAP_DEBUG_ANY, "Could not open file \"%s\" for writing "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Could not open file \"%s\" for writing "
                    SLAPI_COMPONENT_NAME_NSPR " %d (%s)\n",
                    filename, PR_GetError(), slapd_pr_strerror(PR_GetError()) );
         rc= -1;
@@ -100,7 +100,7 @@ dbversion_write(struct ldbminfo *li, const char *directory,
         len = strlen(buf);
         if ( slapi_write_buffer( prfd, buf, len ) != (PRInt32)len )
         {
-            LDAPDebug( LDAP_DEBUG_ANY, "Could not write to file \"%s\"\n", filename, 0, 0 );
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Could not write to file \"%s\"\n", filename, 0, 0 );
             rc= -1;
         }
         if(rc==0 && dataversion!=NULL)
@@ -109,7 +109,7 @@ dbversion_write(struct ldbminfo *li, const char *directory,
             len = strlen( buf );
             if ( slapi_write_buffer( prfd, buf, len ) != (PRInt32)len )
             {
-                LDAPDebug( LDAP_DEBUG_ANY, "Could not write to file \"%s\"\n", filename, 0, 0 );
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Could not write to file \"%s\"\n", filename, 0, 0 );
                 rc= -1;
             }
         }
diff --git a/ldap/servers/slapd/back-ldbm/dn2entry.c b/ldap/servers/slapd/back-ldbm/dn2entry.c
index 7656688..3db2b3f 100644
--- a/ldap/servers/slapd/back-ldbm/dn2entry.c
+++ b/ldap/servers/slapd/back-ldbm/dn2entry.c
@@ -45,7 +45,7 @@ dn2entry_ext(
 	struct backentry	*e = NULL;
 	char *indexname = "";
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> dn2entry_ext \"%s\"\n", slapi_sdn_get_dn(sdn), 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> dn2entry_ext \"%s\"\n", slapi_sdn_get_dn(sdn), 0, 0 );
 
 	inst = (ldbm_instance *) be->be_instance_info;
 
@@ -118,7 +118,7 @@ dn2entry_ext(
 				 * entrydn index, but we could not read the entry
 				 * from the id2entry index. what should we do?
 				 */
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					    "dn2entry_ext: the dn \"%s\" was in the %s index, "
 					    "but it did not exist in id2entry of instance %s.\n",
 					    slapi_sdn_get_dn(sdn), indexname, inst->inst_name);
@@ -126,7 +126,7 @@ dn2entry_ext(
 		}
 	}
 bail:
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= dn2entry_ext %p\n", e, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= dn2entry_ext %p\n", e, 0, 0 );
 	return( e );
 }
 
@@ -159,7 +159,7 @@ dn2ancestor(
 {
     struct backentry *e = NULL;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> dn2ancestor \"%s\"\n", slapi_sdn_get_dn(sdn), 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> dn2ancestor \"%s\"\n", slapi_sdn_get_dn(sdn), 0, 0 );
 
     /* first, check to see if the given sdn is empty or a root suffix of the
        given backend - if so, it has no parent */
@@ -221,7 +221,7 @@ dn2ancestor(
        e is the entry of the ancestor of sdn OR e is the suffix entry
        OR e is NULL
        ancestordn contains the unnormalized DN of e or is empty */
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= dn2ancestor %p\n", e, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= dn2ancestor %p\n", e, 0, 0 );
     return( e );
 }
 
@@ -255,7 +255,7 @@ get_copy_of_entry(Slapi_PBlock *pb, const entry_address *addr, back_txn *txn, in
 	{
 		if(must_exist)
 		{
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			           "Operation error fetching %s (%s), error %d.\n", 
 			           addr->sdn?slapi_sdn_get_dn(addr->sdn):"Null DN",
 			           (addr->uniqueid==NULL?"null":addr->uniqueid), err );
